#!/bin/sh

CAPD_PREFIX=~/capd4/

if [ ! -f "${CAPD_PREFIX}bin/capd-config" ]; then
	CAPD_PREFIX=~/cur/capd4/
fi

if [ -f "${CAPD_PREFIX}bin/capd-config" ]; then
	echo CAPD path prefix is ${CAPD_PREFIX}
else
	echo Please, set the CAPD_PREFIX variable at the beginning of the script.
	exit 0
fi

echo Copying corrected files...

cp -p ieeePrimitive.h ${CAPD_PREFIX}include/capd/basicalg/ieeePrimitive.h
cp -p interval.hpp ${CAPD_PREFIX}include/interval/interval.hpp
cp -p interval.icc ${CAPD_PREFIX}include/interval/interval.icc
cp -p log10.icc ${CAPD_PREFIX}include/interval/stdfun/interval/log10.icc
cp -p log1p.icc ${CAPD_PREFIX}include/interval/stdfun/interval/log1p.icc
cp -p log2.icc ${CAPD_PREFIX}include/interval/stdfun/interval/log2.icc
cp -p log.icc ${CAPD_PREFIX}include/interval/stdfun/interval/log.icc
cp -p primitive.hpp ${CAPD_PREFIX}include/ieee/primitive.hpp

echo Done.

